RhinoCommon Intersection question
@ivelin.peychev wrote: If there is a case where two objects (say brep and a curve) are just touching how can I make it so the intersection fails? So I can distinguish between touching and crossing...
View ArticleIs this a typo in RhinoCommon?
@ivelin.peychev wrote: The method is also called like this. This is weird. Posts: 3 Participants: 3 Read full topic
View ArticlePython equivalent of gh "isPlanar"
@declan wrote: Hi, Is there a way in python to test if a srf is planar? I’m thinking of the isPlanar component in gh, but can’t find anything in python. tx, dh Posts: 2 Participants: 2 Read full topic
View ArticleHow do I get a centroid of a brep using RhinoCommon?
@ivelin.peychev wrote: Preferably with Python Posts: 3 Participants: 2 Read full topic
View ArticleHow do I scale an object (brep) taking it's centroid as reference in...
@ivelin.peychev wrote: preferably with python Posts: 1 Participants: 1 Read full topic
View ArticleHow to scale object without modifying the original brep but rather save as...
@ivelin.peychev wrote: preferably in python Posts: 9 Participants: 2 Read full topic
View ArticleNeed help with a Rhino script to generate a bill of materials
@Gregoryhitchcoc wrote: I am a fabricator. We build our models in Rhino, several years ago someone on this forum gave me an amazing script and I lost it. Basically I am modeling parts that are...
View ArticleRhinoScript TextObjectJustification wrong for values of 4 an 7 in Rhino 6?
@jonathan3 wrote: I have a script that generates TextObjects that worked fine in V5 but seems to produce incorrect results in V6 for values of 4 and 7. Instead of being centre aligned, they end up...
View ArticleConvert to List
@giacomo_forcina wrote: Hello, I am practicing with C# scripting: What I want to do is to store some branches (which are list of points) inside a List of List but I get error saying: Unable to cast...
View ArticleHow to move objects to layer by name RhinoCommon
@ivelin.peychev wrote: Two questions here: How to move objects with a specific name to a specific layer. How to move selected objects to a layer with specific name (not index) preferably in python...
View ArticleHow to get mesh face at pick point
@Holo wrote: Hi guys, how do I determine what mesh face is at a given 3D location? I want to start off a script by analyzing the face at the pick point of rs.GetObjectEx() Cheers! Posts: 1...
View Articlers.ObjectsByName selects objects out of selection
@ivelin.peychev wrote: It selects objects that are inside hidden locked layers. Posts: 3 Participants: 2 Read full topic
View ArticleBrepSplit multiple surfaces/polysurfaces by a single or mutiple surfaces?
@ivelin.peychev wrote: I cannot wrap my head around this could someone give me a simple example using this RhinoCommon? What do I do after selecting the surfaces/polysurfaces? import Rhino import...
View ArticleWould it be a lot of work/possible to use this "Win95 Pipes Screensaver"...
@jarombra wrote: Would it be possible (and if so, very difficult) to convert this Python rewrite of the Windows 95 Pipes Screensaver code into Rhino, and use Rhino to to render out the pipe...
View ArticleGetting Metadata performance
@ivelin.peychev wrote: Which is faster: Getting object by piece of it’s name Getting object by UserObject attribute Posts: 2 Participants: 2 Read full topic
View ArticleProblem with implementing multithreading (Parallel.ForEach) in GHPython!
@p1r4t3b0y wrote: Hello everybody, I’m trying to implement multithreading (parallel computing), for a demanding for loop-portion of a Python script, I’m currently working on. I’ve read @stevebaer’s...
View Article[Python] Can I create a toolbar with python like a plugin?
@ivelin.peychev wrote: Can I create a toobar with python or do I need it manually created so that each button corresponds to a .py file? Posts: 1 Participants: 1 Read full topic
View Article[Python] Extrude Polysurface extrudes only one sub-surface RhinoScriptSyntax
@ivelin.peychev wrote: Is this an issue? How can I apply the extrude to all sub-surfaces in the polysurface without exploading? Posts: 1 Participants: 1 Read full topic
View Article[Python] How to check for type Polysurface?
@ivelin.peychev wrote: If I have: s = rs.GetObjects("Select Panel",rs.filter.surface+rs.filter.polysurface) #how can I check if "s" is a surface or a polysurface? if s is Rhino.Geometry. - > #...
View Article[Python] How can I access sub-surfaces inside a polysurface?
@ivelin.peychev wrote: RhinoScriptSyntax or RhinoCommon? What method? Does it exist? Posts: 1 Participants: 1 Read full topic
View Article